{
	"type": "origins:active_self",
	"entity_action": {
		"type": "origins:raycast",
		"distance": 6,
		"block": false,
		"entity": true,
		"shape_type": "outline",
		"fluid_handling": "none",
		"bientity_action": {
			"type": "origins:and",
			"actions": [
				{
					"type": "origins:target_action",
					"action": {
						"type": "origins:damage",
						"amount": 5,
						"damage_type": "minecraft:player_attack"
					}
				},
				{
					"type": "origins:actor_action",
					"action": {
						"type": "origins:heal",
						"amount": 5
					}
				},
				{
					"type": "origins:actor_action",
					"action": {
						"type": "origins:play_sound",
						"sound": "irons_spellbooks:spell.cleanse.cast",
						"pitch": 1.2
					}
				}
			]
		}
	},
	"condition": {
		"type": "origins:and",
		"conditions": [
			{
				"type": "origins:resource",
				"resource": "drpg:warlock_hex_charges",
				"comparison": ">",
				"compare_to": 0
			},
			{
				"type": "origins:resource",
				"resource": "drpg:armor_restriction",
				"comparison": "==",
				"compare_to": 0
			}
		]
	}
}